Bug 1650624 - Compute profile settings do not get transported during upgrade from Satellite 6.3 to 6.4
Summary: Compute profile settings do not get transported during upgrade from Satellite...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.4
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: Shira Maximov
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 16:25 UTC by Suraj Patil
Modified: 2019-10-07 17:18 UTC (History)
8 users (show)

Fixed In Version: foreman-1.20.1.25-1,foreman-1.20.1.31-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:54 UTC


Attachments (Terms of Use)
screenshot1 (57.63 KB, image/png)
2018-11-16 16:26 UTC, Suraj Patil
no flags Details
screenshot2 (80.40 KB, image/png)
2018-11-16 16:26 UTC, Suraj Patil
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:02 UTC
Foreman Issue Tracker 26253 None None None 2019-03-06 09:00:29 UTC

Description Suraj Patil 2018-11-16 16:25:58 UTC
Description of problem:

After upgrading Satellite from satellite 6.3.to 6.4. Compute Profile still lists the old resources assignments that were configured in Satellite 6.3 but VMs that are newly built using that compute profile has only 1 CPU and 2048GB. 

Also, compute profile overview page shows proper VM Attributes(resources assignments) but after clicking on the compute resource it shows CPU = 1 and memory = 2048GB.

Please see the screenshots for more details. 

Version-Release number of selected component (if applicable):
Satellite 6.4

Steps to Reproduce:
1. On satellite 6.3 create the compute profiles with some random resources assignments
2. Upgrade the satellite to 6.4.
3. Try to provision VM using old compute profiles.

Actual results:
VM is created with 1 CPU and 2048GB Memory.

Expected results:
It should create the VM according to the resources assignments of compute profile which was created in satellite 6.3

Comment 1 Suraj Patil 2018-11-16 16:26:37 UTC
Created attachment 1506466 [details]
screenshot1

Comment 2 Suraj Patil 2018-11-16 16:26:59 UTC
Created attachment 1506467 [details]
screenshot2

Comment 5 Shira Maximov 2019-03-06 09:00:28 UTC
Created redmine issue https://projects.theforeman.org/issues/26253 from this bug

Comment 7 Ondřej Pražák 2019-03-18 08:14:35 UTC
Connecting redmine issue http://projects.theforeman.org/issues/26253 from this bug

Comment 8 Bryan Kearney 2019-03-18 10:05:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26253 has been resolved.

Comment 10 Shira Maximov 2019-03-24 08:14:08 UTC
There was an error in the vars name, 
We now need that https://github.com/theforeman/foreman/commit/30eec9de62ecf426da5b7abe9d1b6d36de42f20f to be cherry picked, in order to work for all cases.

Comment 12 Roman Plevka 2019-04-16 13:39:44 UTC
VERIFIED
on upgrade from sat6.4.3 to 6.5.0-21

- pre-upgrade I set the `small` profile to use 3GB of RAM and 2 CPUs.
- upgrade went smooth
- post-upgrade i checked that the profile is still present
- tried to provision a centos host using the `small` profile, the machine got the resources assigned accordingly.

Comment 15 errata-xmlrpc 2019-05-14 12:38:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.